/*
 * File         : SOCK_Stream.cpp
 * Author       : Tomasz Stachowiak
 * Created      : Wed May 20 16:27:06 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#include <BVN/BVN.h>
#include <BVN/SAP.h>
#include <BVN/SOCK_Stream.h>

#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

void SOCK_Stream::set_handle(HANDLE handle)
{
  sap.set_handle(handle);
}

int SOCK_Stream::close(void)
{
  return sap.close();
}

int SOCK_Stream::recv_n( void* buffer, int len )
{
  BVN_DEBUG("SOCK_Stream::recv_n, len = %d\n", len);

  return sap.recv_n(buffer, len);
}

int SOCK_Stream::send_n( void* buffer, int len ) const
{
  return sap.send_n(buffer, len);
}

HANDLE SOCK_Stream::get_handle(void) const
{
  return sap.get_handle();
}

int SOCK_Stream::set_peer_address(struct sockaddr_in *addr)
{
  memcpy(&peer_addr_, addr, sizeof(peer_addr_));
	 
  return 0;
}

int SOCK_Stream::get_peer_address(struct sockaddr_in *addr)
{
  memcpy(addr, &peer_addr_, sizeof(peer_addr_));
	 
  return 0;
}
